## nss-wrapper 1.1.2

=== CMakeLists.txt ===
project(nss_wrapper C)

# Required cmake version
cmake_minimum_required(VERSION 2.8.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "1")
set(APPLICATION_VERSION_PATCH "2")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

# SOVERSION scheme: CURRENT.AGE.REVISION
#   If there was an incompatible interface change:
#     Increment CURRENT. Set AGE and REVISION to 0
#   If there was a compatible interface change:
#     Increment AGE. Set REVISION to 0
#   If the source code was changed, but there were no interface changes:
#     Increment REVISION.
set(LIBRARY_VERSION "0.2.2")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# Find out if we have threading available
set(CMAKE_THREAD_PREFER_PTHREADS ON)
find_package(Threads)

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# check subdirectories
add_subdirectory(src)

install(
    PROGRAMS
        nss_wrapper.pl
    DESTINATION
        ${BIN_INSTALL_DIR})

if (UNIT_TESTING)
    find_package(CMocka REQUIRED)

    file(TO_CMAKE_PATH "${CMAKE_SOURCE_DIR}/tests/valgrind.supp" VALGRIND_SUPPRESSION_FILE)
    # add the valgrind suppressions
    set(MEMORYCHECK_SUPPRESSIONS_FILE
        ${VALGRIND_SUPPRESSION_FILE}
        CACHE
        FILEPATH
        "Path to the memory checking command, used for memory error detection.")

    include(AddCMockaTest)
    add_subdirectory(tests)
endif (UNIT_TESTING)

# pkg-config file
get_filename_component(NSS_WRAPPER_LIB ${NSS_WRAPPER_LOCATION} NAME)

configure_file(nss_wrapper.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper.pc
  DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig
  COMPONENT
    pkgconfig
)

# cmake config files
configure_file(nss_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config-version.cmake @ONLY)
configure_file(nss_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config.cmake @ONLY)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config.cmake
    DESTINATION
        ${CMAKE_INSTALL_DIR}/nss_wrapper
    COMPONENT
        devel
)

add_subdirectory(doc)

## nss-wrapper 1.0.3

=== debian/changelog ===
nss-wrapper (1.0.3-3) unstable; urgency=low

  * Add patch (reproducible-manpage.diff) to make the builds reproducible.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 27 Jun 2015 21:29:52 +0200

nss-wrapper (1.0.3-2) unstable; urgency=low

  * Upload to unstable.
  * Drop “XS-Testsuite: autopkgtest”.
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 25 May 2015 13:46:29 +0200

nss-wrapper (1.0.3-1) experimental; urgency=low

  * New upstream release.
    + Add a nss_wrapper manpage.
    + Fix cmake find_package configs.
    + Fix resolving hostnames with a trailing dot.
    + Fix an overflow when checking if a IPv6 address is IPv4.
  * Drop fix-cmp0026.diff; applied upstream.
  * Drop tests-fix-ai_flags.diff; applied upstream.
  * Rebuild the nss_wrapper manpage from source:
    + Add asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl to
      Build-Depends.
    + Add the manpage to extend-diff-ignore in debian/source/options.
    + Run a2x in debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 01 Oct 2014 18:19:30 +0200

nss-wrapper (1.0.2-1) experimental; urgency=low

  * Initial release (closes: #746583).
  * libnss_wrapper is a preloadable library. We do not support directly
    linking to it, so it doesn't need the SONAME. Add patch (no-soname.diff)
    to remove it.
  * Add Lintian override for sharedobject-in-library-directory-missing-soname.
  * Cherry-pick upstream patch (fix-cmp0026.diff) to fix check for the CMP0026
    cmake policy.
  * Cherry-pick upstream patch (tests-fix-ai_flags.diff) to fix test failure
    on systems with only IPv4 addresses.
  * Add patch (use-gnu-lib-names.diff) to use the LIBC_SO and LIBNSL_SO
    macros to discover SONAMEs.
    Thanks to Pino Toscano.
  * Don't install /usr/bin/nss_wrapper.pl for the time being.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 08 Jun 2014 23:53:33 +0200

=== debian/control ===
Source: nss-wrapper
Homepage: http://cwrap.org/nss_wrapper.html
Section: devel
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-buildinfo,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase,
 asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.9.6

Package: libnss-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NSS wrapper library
 There are projects which provide daemons needing to be able to create, modify
 and delete unix users. Or just switch user ids to interact with the system,
 for example a user space file server. To be able to test that you need the
 privilege to modify the passwd and groups file. With nss_wrapper it is
 possible to define your own passwd and groups file which will be used by
 software to act correctly while under test.
 .
 If you have a client and server under test they normally use functions to
 resolve network names to addresses (DNS) or vice versa. The nss_wrappers allow
 you to create a hosts file to setup name resolution for the addresses you use
 with socket_wrapper.

=== debian/rules ===
#!/usr/bin/make -f

cflags = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
ldflags = $(shell dpkg-buildflags --get LDFLAGS)

cmake_options = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE=None \
	-DCMAKE_C_FLAGS="$(cflags)" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(ldflags)" \
	-DCMAKE_EXE_LINKER_FLAGS="$(ldflags)" \

ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
cmake_options += \
	-DUNIT_TESTING=1
endif

parallel = -j$(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)

.PHONY: clean
clean: debian/control
	dh_clean
	rm -rf obj

.PHONY: build build-arch build-indep
build: build-arch
build-arch: obj/stamp

obj/stamp: CMakeLists.txt
	mkdir -p obj
	cd obj && cmake $(cmake_options) ..
	$(MAKE) $(parallel) -C obj/
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	$(MAKE) -C obj/ test
endif
	a2x --doctype manpage --format manpage doc/nss_wrapper.1.txt
	touch $(@)

.PHONY: binary binary-arch binary-indep
binary: binary-arch
binary-arch: obj/stamp
	dh_testroot
	dh_prep
	$(MAKE) -C obj/ install DESTDIR=../debian/libnss-wrapper/
	rm -rf debian/*-wrapper/usr/bin/
	dh_lintian
	dh_installchangelogs
	dh_installdocs AUTHORS README TODO
	dh_buildinfo
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

## nss-wrapper 1.1.2

=== debian/changelog ===
nss-wrapper (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 08:22:42 +0200

nss-wrapper (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed, reproducible-manpage.diff dropped being
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 23:25:07 +0200

nss-wrapper (1.0.3-4) unstable; urgency=medium

  * control: New maintainer. (Closes: #770375)
  * control: Add Vcs fields.
  * rules: Bump verbosity for tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2015 12:28:53 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Homepage: http://cwrap.org/nss_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper (>= 7),
  dh-buildinfo,
@@ -11,6 +12,8 @@
  netbase,
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-sssd/nss-wrapper.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/nss-wrapper.git
 
 Package: libnss-wrapper
 Architecture: any

## nss-wrapper 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "1")
-set(APPLICATION_VERSION_PATCH "2")
+set(APPLICATION_VERSION_PATCH "3")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.2.2")
+set(LIBRARY_VERSION "0.2.3")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

=== src/CMakeLists.txt ===
project(libnss_wrapper C)

include_directories(${CMAKE_BINARY_DIR})
add_library(nss_wrapper SHARED nss_wrapper.c)
target_link_libraries(nss_wrapper ${NWRAP_REQUIRED_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

if (BSD)
    add_definitions(-DBSD)
endif (BSD)

set_target_properties(
  nss_wrapper
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

install(
  TARGETS
    nss_wrapper
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

# This needs to be at the end
if (POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()
get_target_property(NWRAP_LOCATION nss_wrapper LOCATION)
set(NSS_WRAPPER_LOCATION ${NWRAP_LOCATION} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
project(tests C)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMOCKA_INCLUDE_DIR}
)

set(TESTSUITE_LIBRARIES ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

add_library(nss_nwrap SHARED nss_nwrap.c)

set(HOMEDIR ${CMAKE_CURRENT_BINARY_DIR})

configure_file(passwd.in ${CMAKE_CURRENT_BINARY_DIR}/passwd @ONLY)
configure_file(group.in ${CMAKE_CURRENT_BINARY_DIR}/group @ONLY)
configure_file(hosts.in ${CMAKE_CURRENT_BINARY_DIR}/hosts @ONLY)
configure_file(shadow.in ${CMAKE_CURRENT_BINARY_DIR}/shadow @ONLY)

set(TEST_ENVIRONMENT LD_PRELOAD=${NSS_WRAPPER_LOCATION})
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_PASSWD=${CMAKE_CURRENT_BINARY_DIR}/passwd)
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_GROUP=${CMAKE_CURRENT_BINARY_DIR}/group)
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_SHADOW=${CMAKE_CURRENT_BINARY_DIR}/shadow)
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/hosts)
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_MODULE_SO_PATH=${CMAKE_CURRENT_BINARY_DIR}/libnss_nwrap.so)
list(APPEND TEST_ENVIRONMENT NSS_WRAPPER_MODULE_FN_PREFIX=nwrap)

set(NWRAP_TESTS
    testsuite
    test_nwrap_vector
    test_getaddrinfo
    test_getnameinfo
    test_gethostby_name_addr
    test_gethostent)

if (HAVE_SHADOW_H)
    list(APPEND NWRAP_TESTS test_shadow)
endif (HAVE_SHADOW_H)

foreach(_NWRAP_TEST ${NWRAP_TESTS})
    add_cmocka_test(${_NWRAP_TEST} ${_NWRAP_TEST}.c ${TESTSUITE_LIBRARIES})
    set_property(
        TEST
            ${_NWRAP_TEST}
        PROPERTY
            ENVIRONMENT ${TEST_ENVIRONMENT})
endforeach()

if (HAVE_SHADOW_H)
    # This is needed to check the hash in tests/shadow.in
    target_link_libraries(test_shadow crypt)
endif (HAVE_SHADOW_H)

target_link_libraries(test_nwrap_vector ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(test_gethostby_name_addr ${CMAKE_THREAD_LIBS_INIT})

if (BSD)
    add_definitions(-DBSD)
endif (BSD)

# Test nwrap without wrapping so the libc functions are called
add_cmocka_test(test_nwrap_disabled test_nwrap_disabled.c ${TESTSUITE_LIBRARIES})
set_property(
    TEST
        test_nwrap_disabled
    PROPERTY
        ENVIRONMENT LD_PRELOAD=${CMAKE_BINARY_DIR}/src/libnss_wrapper.so)

=== debian/changelog ===
nss-wrapper (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * control: Add versioned build-depends on libcmocka-dev. (Closes:
    #838445)
  * control: Use https vcs urls.
  * control: Bump policy to 3.9.8, no changes.
  * no-soname.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 03 Dec 2016 01:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  debhelper (>= 7),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
- libcmocka-dev,
+ libcmocka-dev (>= 1.0.1),
  netbase,
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-sssd/nss-wrapper.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/nss-wrapper.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
 
 Package: libnss-wrapper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	cd obj && cmake $(cmake_options) ..
 	$(MAKE) $(parallel) -C obj/
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	$(MAKE) -C obj/ test
+	$(MAKE) -C obj/ test ARGS="-V"
 endif
 	a2x --doctype manpage --format manpage doc/nss_wrapper.1.txt
 	touch $(@)

=== debian/tests/control ===
Tests: tests
Depends: libnss-wrapper,
 gcc, libc-dev,
 cmake (>= 2.8.8-3~), make,
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

Tests: adequate
Depends: libnss-wrapper, adequate

## nss-wrapper 1.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,39 +1,41 @@
-project(nss_wrapper C)
+# Required cmake version
+cmake_minimum_required(VERSION 3.5.0)
+cmake_policy(SET CMP0048 NEW)
 
-# Required cmake version
-cmake_minimum_required(VERSION 2.8.0)
+# Specify search path for CMake modules to be loaded by include() 
+# and find_package()
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
+
+# Add defaults for cmake
+# Those need to be set before the project() call.
+include(DefineCMakeDefaults)
+include(DefineCompilerFlags)
+
+project(nss_wrapper VERSION 1.1.11 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
 
-set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "1")
-set(APPLICATION_VERSION_PATCH "3")
-
-set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
-
-# SOVERSION scheme: CURRENT.AGE.REVISION
+# SOVERSION scheme: MAJOR.MINOR.PATCH
 #   If there was an incompatible interface change:
-#     Increment CURRENT. Set AGE and REVISION to 0
+#     Increment MAJOR. Set MINOR and PATCH to 0
 #   If there was a compatible interface change:
-#     Increment AGE. Set REVISION to 0
+#     Increment MINOR. Set PATCH to 0
 #   If the source code was changed, but there were no interface changes:
-#     Increment REVISION.
-set(LIBRARY_VERSION "0.2.3")
-set(LIBRARY_SOVERSION "0")
-
-# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH
-  ${CMAKE_SOURCE_DIR}/cmake/Modules
-)
+#     Increment PATCH.
+set(LIBRARY_VERSION_MAJOR 0)
+set(LIBRARY_VERSION_MINOR 3)
+set(LIBRARY_VERSION_PATCH 1)
+set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
+set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})
 
 # add definitions
 include(DefineCMakeDefaults)
 include(DefinePlatformDefaults)
-include(DefineCompilerFlags)
-include(DefineInstallationPaths)
 include(DefineOptions.cmake)
 include(CPackConfig.cmake)
+include(CompilerChecks.cmake)
+include(GNUInstallDirs)
 
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
@@ -50,14 +52,11 @@
 # check subdirectories
 add_subdirectory(src)
 
-install(
-    PROGRAMS
-        nss_wrapper.pl
-    DESTINATION
-        ${BIN_INSTALL_DIR})
+install(PROGRAMS nss_wrapper.pl
+        DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 if (UNIT_TESTING)
-    find_package(CMocka REQUIRED)
+    find_package(cmocka 1.1.0 REQUIRED)
 
     file(TO_CMAKE_PATH "${CMAKE_SOURCE_DIR}/tests/valgrind.supp" VALGRIND_SUPPRESSION_FILE)
     # add the valgrind suppressions
@@ -79,7 +78,7 @@
   FILES
     ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper.pc
   DESTINATION
-    ${LIB_INSTALL_DIR}/pkgconfig
+    ${CMAKE_INSTALL_LIBDIR}/pkgconfig
   COMPONENT
     pkgconfig
 )
@@ -92,9 +91,18 @@
         ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config-version.cmake
         ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config.cmake
     DESTINATION
-        ${CMAKE_INSTALL_DIR}/nss_wrapper
+        ${CMAKE_INSTALL_LIBDIR}/cmake/nss_wrapper
     COMPONENT
         devel
 )
 
 add_subdirectory(doc)
+
+# Add 'make dist' target which makes sure to invoke cmake before
+add_custom_target(dist
+                  COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+# Link combile database for clangd
+execute_process(COMMAND cmake -E create_symlink
+                "${CMAKE_BINARY_DIR}/compile_commands.json"
+                "${CMAKE_SOURCE_DIR}/compile_commands.json")

=== doc/CMakeLists.txt ===
install(FILES
            nss_wrapper.1
        DESTINATION
            ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
nss-wrapper (1.1.11-1ubuntu2) groovy; urgency=medium

  * d/t/tests: fix order of cmake arguments.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Sep 2020 15:41:18 -0300

nss-wrapper (1.1.11-1ubuntu1) groovy; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Jun 2020 14:04:28 -0700

nss-wrapper (1.1.11-1) unstable; urgency=medium

  [ Simon McVittie ]
  * control: Update VCS URLs for salsa.debian.org
  * Allow installation for more than one architecture at the same time
    - d/control: Set Multi-Arch: same
    (Closes: #946902)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #940693)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed.
  * control: Use debhelper-compat, bump to 12.
  * rules: Migrate to dh. (Closes: #940693)
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 02 Apr 2020 21:45:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: nss-wrapper
-Homepage: http://cwrap.org/nss_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper-compat (= 12),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 1.0.1),
  netbase,
- asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
+ asciidoc,
+ libxml2-utils,
+ xsltproc,
+ docbook-xml,
+ docbook-xsl
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
+Homepage: http://cwrap.org/nss_wrapper.html
 
 Package: libnss-wrapper
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: NSS wrapper library
  There are projects which provide daemons needing to be able to create, modify

=== debian/tests/control ===
Tests: tests
Depends: libnss-wrapper,
 build-essential,
 libc6-dev,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

Tests: adequate
Depends: libnss-wrapper, adequate:native

=== debian/watch ===
version=3
https://ftp.samba.org/pub/cwrap/ nss_wrapper-([0-9.]+)[.]tar[.]gz

## nss-wrapper 1.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(nss_wrapper VERSION 1.1.11 LANGUAGES C)
+project(nss_wrapper VERSION 1.1.12 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -25,7 +25,7 @@
 #     Increment PATCH.
 set(LIBRARY_VERSION_MAJOR 0)
 set(LIBRARY_VERSION_MINOR 3)
-set(LIBRARY_VERSION_PATCH 1)
+set(LIBRARY_VERSION_PATCH 2)
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})

=== tests/CMakeLists.txt ===
project(tests C)

set(TESTSUITE_LIBRARIES ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)

add_library(nss_nwrap SHARED nss_nwrap.c)
target_compile_options(nss_nwrap
                       PRIVATE
                          ${DEFAULT_C_COMPILE_FLAGS})
target_include_directories(nss_nwrap
                           PRIVATE
                               ${CMAKE_BINARY_DIR}
                               ${CMOCKA_INCLUDE_DIR})

set(HOMEDIR ${CMAKE_CURRENT_BINARY_DIR})

configure_file(passwd.in ${CMAKE_CURRENT_BINARY_DIR}/passwd @ONLY)
configure_file(group.in ${CMAKE_CURRENT_BINARY_DIR}/group @ONLY)
configure_file(hosts.in ${CMAKE_CURRENT_BINARY_DIR}/hosts @ONLY)
configure_file(shadow.in ${CMAKE_CURRENT_BINARY_DIR}/shadow @ONLY)

set(NWRAP_TESTS
    testsuite
    test_nwrap_vector
    test_getaddrinfo
    test_getnameinfo
    test_gethostby_name_addr
    test_gethostent
    test_getpwuid_module)

if (HAVE_SHADOW_H)
    list(APPEND NWRAP_TESTS test_shadow)
endif (HAVE_SHADOW_H)

function(ADD_CMOCKA_TEST_ENVIRONMENT _TEST_NAME)
    if (CMAKE_BUILD_TYPE)
        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "addresssanitizer")
            find_library(ASAN_LIBRARY
                         NAMES asan)
            if (NOT ASAN_LIBRARY)
                foreach(version RANGE 10 1)
                    if (NOT ASAN_LIBRARY)
                        find_library(ASAN_LIBRARY libasan.so.${version})
                    endif()
                endforeach()
            endif()
        endif()
    endif()

    if (ASAN_LIBRARY)
        list(APPEND PRELOAD_LIBRARIES ${ASAN_LIBRARY})
    endif()
    list(APPEND PRELOAD_LIBRARIES ${NSS_WRAPPER_LOCATION})

    if (OSX)
        set(TORTURE_ENVIRONMENT "DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${NSS_WRAPPER_LOCATION}")
    else ()
        string(REPLACE ";" ":" _TMP_ENV "${PRELOAD_LIBRARIES}")
        set(TORTURE_ENVIRONMENT "LD_PRELOAD=${_TMP_ENV}")
    endif()

    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_PASSWD=${CMAKE_CURRENT_BINARY_DIR}/passwd)
    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_GROUP=${CMAKE_CURRENT_BINARY_DIR}/group)
    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_SHADOW=${CMAKE_CURRENT_BINARY_DIR}/shadow)
    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/hosts)
    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_SO_PATH=${CMAKE_CURRENT_BINARY_DIR}/libnss_nwrap.so)
    list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_FN_PREFIX=nwrap)

    set_property(TEST
                    ${_TEST_NAME}
                PROPERTY
                    ENVIRONMENT "${TORTURE_ENVIRONMENT}")
endfunction()
foreach(_NWRAP_TEST ${NWRAP_TESTS})
    add_cmocka_test(${_NWRAP_TEST}
                    SOURCES ${_NWRAP_TEST}.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                    LINK_LIBRARIES ${TESTSUITE_LIBRARIES}
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
    if (BSD)
        target_compile_options(${_NWRAP_TEST}
                               PRIVATE
                                   -DBSD)
    endif()
    target_include_directories(${_NWRAP_TEST}
                               PRIVATE
                                   ${CMAKE_BINARY_DIR}
                                   ${CMOCKA_INCLUDE_DIR})
    add_cmocka_test_environment(${_NWRAP_TEST})
endforeach()

if (HAVE_SHADOW_H)
    # This is needed to check the hash in tests/shadow.in
    target_link_libraries(test_shadow PRIVATE crypt)
endif (HAVE_SHADOW_H)

target_link_libraries(test_nwrap_vector PRIVATE ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(test_gethostby_name_addr PRIVATE ${CMAKE_THREAD_LIBS_INIT})

# Test nwrap without wrapping so the libc functions are called
if (NOT CMAKE_BUILD_TYPE_LOWER MATCHES "sanitizer")
    add_cmocka_test(test_nwrap_disabled
                    SOURCES test_nwrap_disabled.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                    LINK_LIBRARIES ${TESTSUITE_LIBRARIES}
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
    target_include_directories(test_nwrap_disabled
                               PRIVATE
                                   ${CMAKE_BINARY_DIR}
                                   ${CMOCKA_INCLUDE_DIR})
    set_property(
        TEST
            test_nwrap_disabled
        PROPERTY
            ENVIRONMENT LD_PRELOAD=${NSS_WRAPPER_LOCATION})
endif()

=== debian/changelog ===
nss-wrapper (1.1.12-1) unstable; urgency=medium

  * New upstream release.
  * Make autopkgtests cross-test-friendly. Thanks, Steve Langasek!
    (Closes: #962626)
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Aug 2022 12:15:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nss-wrapper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 12),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_clean:
	dh_clean
	rm -f compile_commands.json

override_dh_auto_build:
	dh_auto_build
	a2x --doctype manpage --format manpage doc/nss_wrapper.1.txt

override_dh_install:
	dh_install
	rm -rf debian/*-wrapper/usr/bin/

=== debian/tests/control ===
Tests: tests
Depends: libnss-wrapper,
 build-essential,
 libc-dev,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

Tests: adequate
Depends: libnss-wrapper, adequate

## nss-wrapper 1.1.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.5.0)
 cmake_policy(SET CMP0048 NEW)
 
-# Specify search path for CMake modules to be loaded by include() 
+# Specify search path for CMake modules to be loaded by include()
 # and find_package()
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(nss_wrapper VERSION 1.1.12 LANGUAGES C)
+project(nss_wrapper VERSION 1.1.15 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -25,7 +25,7 @@
 #     Increment PATCH.
 set(LIBRARY_VERSION_MAJOR 0)
 set(LIBRARY_VERSION_MINOR 3)
-set(LIBRARY_VERSION_PATCH 2)
+set(LIBRARY_VERSION_PATCH 4)
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})
 
@@ -84,6 +84,9 @@
 )
 
 # cmake config files
+set(PACKAGE_NAME nss_wrapper)
+set(PACKAGE_NAME_UPPER NSS_WRAPPER)
+
 configure_file(nss_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config-version.cmake @ONLY)
 configure_file(nss_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/nss_wrapper-config.cmake @ONLY)
 install(

=== src/CMakeLists.txt ===
project(libnss_wrapper C)

add_library(nss_utils STATIC nss_utils.c)
target_compile_options(nss_utils
                       PRIVATE
                          ${DEFAULT_C_COMPILE_FLAGS})

add_library(nss_wrapper SHARED nss_wrapper.c)
target_compile_options(nss_wrapper
                       PRIVATE
                          ${DEFAULT_C_COMPILE_FLAGS})
if (BSD)
    target_compile_options(nss_wrapper
                           PRIVATE
                           -DBSD)
endif()
target_include_directories(nss_wrapper
                           PRIVATE
                               ${CMAKE_BINARY_DIR})
target_link_libraries(nss_wrapper nss_utils ${NWRAP_REQUIRED_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

set_target_properties(
  nss_wrapper
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

install(TARGETS nss_wrapper
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_L_LIBDIR})

set(NSS_WRAPPER_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}nss_wrapper${CMAKE_SHARED_LIBRARY_SUFFIX}" PARENT_SCOPE)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(tests C)
 
-set(TESTSUITE_LIBRARIES ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
+set(TESTSUITE_LIBRARIES nss_utils ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
 
 add_library(nss_nwrap SHARED nss_nwrap.c)
@@ -11,6 +11,7 @@
                            PRIVATE
                                ${CMAKE_BINARY_DIR}
                                ${CMOCKA_INCLUDE_DIR})
+target_link_libraries(nss_nwrap PRIVATE nss_utils)
 
 set(HOMEDIR ${CMAKE_CURRENT_BINARY_DIR})
 
@@ -19,6 +20,10 @@
 configure_file(hosts.in ${CMAKE_CURRENT_BINARY_DIR}/hosts @ONLY)
 configure_file(shadow.in ${CMAKE_CURRENT_BINARY_DIR}/shadow @ONLY)
 
+# If there is uid_wrapper, we can better test initgroups() since uid_wrapper
+# provides privilege for setgroups().
+find_package(uid_wrapper 1.3.0)
+
 set(NWRAP_TESTS
     testsuite
     test_nwrap_vector
@@ -26,7 +31,8 @@
     test_getnameinfo
     test_gethostby_name_addr
     test_gethostent
-    test_getpwuid_module)
+    test_getpwuid_module
+    test_initgroups)
 
 if (HAVE_SHADOW_H)
     list(APPEND NWRAP_TESTS test_shadow)
@@ -51,6 +57,9 @@
     if (ASAN_LIBRARY)
         list(APPEND PRELOAD_LIBRARIES ${ASAN_LIBRARY})
     endif()
+    if (uid_wrapper_FOUND)
+        list(APPEND PRELOAD_LIBRARIES ${UID_WRAPPER_LIBRARY})
+    endif()
     list(APPEND PRELOAD_LIBRARIES ${NSS_WRAPPER_LOCATION})
 
     if (OSX)
@@ -60,12 +69,26 @@
         set(TORTURE_ENVIRONMENT "LD_PRELOAD=${_TMP_ENV}")
     endif()
 
+    if (uid_wrapper_FOUND)
+        list(APPEND TORTURE_ENVIRONMENT UID_WRAPPER=1)
+    endif()
+
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_PASSWD=${CMAKE_CURRENT_BINARY_DIR}/passwd)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_GROUP=${CMAKE_CURRENT_BINARY_DIR}/group)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_SHADOW=${CMAKE_CURRENT_BINARY_DIR}/shadow)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/hosts)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_SO_PATH=${CMAKE_CURRENT_BINARY_DIR}/libnss_nwrap.so)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_FN_PREFIX=nwrap)
+    if (CMAKE_BUILD_TYPE)
+        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
+
+        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "threadsanitizer")
+            list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_DISABLE_DEEPBIND=1)
+            if (uid_wrapper_FOUND)
+                list(APPEND TORTURE_ENVIRONMENT UID_WRAPPER_DISABLE_DEEPBIND=1)
+            endif()
+        endif()
+    endif()
 
     set_property(TEST
                     ${_TEST_NAME}

=== debian/changelog ===
nss-wrapper (1.1.15-2) unstable; urgency=medium

  * control: Use new pkg-sssd email address.
  * tests: Add wrap-and-sort.
  * tests: Add manpage-rebuild.
  * Run wrap-and-sort -satb.
  * use-gnu-lib-names.diff: Use upstream patch from git.
  * doc-typo.diff: Add from upstream.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 17 Aug 2023 10:48:10 +0200

nss-wrapper (1.1.15-1) unstable; urgency=medium

  * New upstream release.  Closes: #762085.
  * patches: Refreshed.
  * libnss-wrapper.lintian-overrides: Fix syntax.
  * copyright: Use https URL.
  * control: Add myself as Uploaders.
  * tests: Output errors on failure.
  * control: Standards-Version 4.6.2.
  * copyright: Add myself for debian/*, silencing
    lintian warning update-debian-copyright.
  * control: Rules-Requires-Root: no.
  * upstream/metadata: Add.
  * watch: Add pgpsigurlmangle.
  * upstream/signing-key.asc: Add.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Bump debhelper-compat to 13.
  * Build with hardening=+all.
  * Drop compression=gzip from source/options, silencing
    lintian custom-compression-in-debian-source-options.
  * copyright: Sync years/authors with upstream source.
  * Rebuild manpage with asciidoctor instead of a2x to
    decrease build dependencies.

  [ Lucas Kanashiro <kanashiro@ubuntu.com> ]
  * d/t/tests: fix order of cmake arguments.  LP: #1895345.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake and libcmocka-dev.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 05 Aug 2023 19:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: nss-wrapper
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Uploaders:
+ Timo Aaltonen <tjaalton@debian.org>,
+ Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ asciidoctor,
+ cmake,
+ debhelper-compat (= 13),
  dh-buildinfo,
- cmake (>= 2.8.8-3~),
- libcmocka-dev (>= 1.0.1),
+ libcmocka-dev,
  netbase,
- asciidoc,
- libxml2-utils,
- xsltproc,
- docbook-xml,
- docbook-xsl
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
 Homepage: http://cwrap.org/nss_wrapper.html
+Rules-Requires-Root: no
 
 Package: libnss-wrapper
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: NSS wrapper library
  There are projects which provide daemons needing to be able to create, modify
  and delete unix users. Or just switch user ids to interact with the system,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

override_dh_clean:
	dh_clean
	rm -f compile_commands.json

override_dh_auto_build:
	dh_auto_build
	asciidoctor -b manpage -d manpage doc/nss_wrapper.1.txt

override_dh_install:
	dh_install
	rm -rf debian/*-wrapper/usr/bin/

=== debian/tests/control ===
Tests: tests
Depends:
 build-essential,
 cmake (>= 2.8.8-3~),
 libc-dev,
 libcmocka-dev,
 libnss-wrapper,
 netbase,
Restrictions: allow-stderr

Tests: adequate
Depends:
 adequate,
 libnss-wrapper,

Tests: manpage-rebuild
Depends:
 libnss-wrapper,
Restrictions: superficial

Tests: wrap-and-sort
Depends:
 devscripts,
 python3-debian,
Restrictions: superficial

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://ftp.samba.org/pub/cwrap/ \
nss_wrapper-@ANY_VERSION@@ARCHIVE_EXT@

## nss-wrapper 1.1.16

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 project(tests C)
+
+if (TARGET cmocka::cmocka)
+    set(CMOCKA_LIBRARY cmocka::cmocka)
+endif()
 
 set(TESTSUITE_LIBRARIES nss_utils ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)

=== debian/changelog ===
nss-wrapper (1.1.16-2) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Run wrap-and-sort -satbk.
  * Use execute_after instead of override.
  * Improve Salsa CI.
  * Fix copyright typo nit (thanks lrc).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Oct 2025 15:07:26 +0200

nss-wrapper (1.1.16-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream release.
  * Drop upstreamed patches doc-typo.diff & use-gnu-lib-names.diff.
  * Fix update-debian-copyright.
  * control: Standards-Version 4.7.0.
  * Fix re-generation of nss_wrapper.1.
  * Re-run wrap-and-sort -sabkt.
  * tests/manpage-rebuild: Update for new upstream release.

  [ Ben Hutchings ]
  * debian/salsa-ci.yml: Add local CI configuration
  * Replace wrap-and-sort autopkgtest with a CI job

 -- Simon Josefsson <simon@josefsson.org>  Sun, 22 Sep 2024 19:11:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,15 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  asciidoctor,
  cmake,
- debhelper-compat (= 13),
- dh-buildinfo,
  libcmocka-dev,
  netbase,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
 Homepage: http://cwrap.org/nss_wrapper.html
-Rules-Requires-Root: no
 
 Package: libnss-wrapper
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

execute_after_dh_clean:
	rm -fv compile_commands.json

execute_after_dh_auto_build:
	asciidoctor -b manpage doc/nss_wrapper.1.adoc

execute_after_dh_install:
	dh_install
	rm -rv debian/*-wrapper/usr/bin/

=== debian/tests/control ===
Tests:
 tests,
Depends:
 build-essential,
 cmake (>= 2.8.8-3~),
 libc-dev,
 libcmocka-dev,
 libnss-wrapper,
 netbase,
Restrictions:
 allow-stderr,

Tests:
 adequate,
Depends:
 adequate,
 libnss-wrapper,

Tests:
 manpage-rebuild,
Depends:
 libnss-wrapper,
Restrictions:
 superficial,

=== debian/watch ===
Version: 5
Source: https://ftp.samba.org/pub/cwrap/
Matching-Pattern: nss_wrapper-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.asc/
